--- a/src/gui/cbaGUI.cpp
+++ b/src/gui/cbaGUI.cpp
@@ -216,7 +216,7 @@ void MainFrame::CreateGUIControls()
 
     wxBoxSizer *H1sizer = new wxBoxSizer(wxHORIZONTAL);
     H1sizer->Add(PanelBtLd, 1, wxTOP, 10);
-    H1sizer->Add(PanelBtGeo, 0, wxALIGN_RIGHT | wxTOP, 10);
+    H1sizer->Add(PanelBtGeo, 0, wxTOP, 10);
 
     wxBoxSizer *V1sizer = new wxBoxSizer(wxVERTICAL);
     V1sizer->Add(NbInp, 1, wxEXPAND | wxALL, 10);
@@ -258,7 +258,7 @@ void MainFrame::CreateGUIControls()
 
     wxBoxSizer *H2sizer = new wxBoxSizer(wxHORIZONTAL);
     H2sizer->Add(PanelFS, 1, wxTOP, 10);
-    H2sizer->Add(PanelBtRes, 0, wxALIGN_RIGHT | wxTOP, 10);
+    H2sizer->Add(PanelBtRes, 0, wxTOP, 10);
 
     wxBoxSizer *V2sizer = new wxBoxSizer(wxVERTICAL);
     V2sizer->Add(NbRes, 1, wxEXPAND | wxALL, 10);
